Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetCustomLanguagePack

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetCustomLanguagePack

Enclosing class:
  TdApi

public static final class TdApi.SetCustomLanguagePack extends TdApi.Function<TdApi.Ok>
Adds or changes a custom local language pack to the current localization target.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.LanguagePackInfo`
`info`
Information about the language pack.
`TdApi.LanguagePackString[]`
`strings`
Strings of the new language pack.

## Constructor Summary

Constructors
Constructor
Description
`SetCustomLanguagePack()`
Adds or changes a custom local language pack to the current localization target.
`SetCustomLanguagePack(TdApi.LanguagePackInfo info, TdApi.LanguagePackString[] strings)`
Adds or changes a custom local language pack to the current localization target.
`SetCustomLanguagePack(DataInput input)`
Adds or changes a custom local language pack to the current localization target.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### info

public TdApi.LanguagePackInfo info
Information about the language pack. Language pack identifier must start with 'X', consist only of English letters, digits and hyphens, and must not exceed 64 characters. Can be called before authorization.

### strings

public TdApi.LanguagePackString[] strings
Strings of the new language pack.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetCustomLanguagePack

public SetCustomLanguagePack()
Adds or changes a custom local language pack to the current localization target.

Returns `Ok`

### SetCustomLanguagePack

public SetCustomLanguagePack(TdApi.LanguagePackInfo info, TdApi.LanguagePackString[] strings)
Adds or changes a custom local language pack to the current localization target.

Returns `Ok`

Parameters:
  `info` - Information about the language pack. Language pack identifier must start with 'X', consist only of English letters, digits and hyphens, and must not exceed 64 characters. Can be called before authorization.
  `strings` - Strings of the new language pack.

  Returns `Ok`

### SetCustomLanguagePack

public SetCustomLanguagePack(DataInput input) throws IOException
Adds or changes a custom local language pack to the current localization target.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`